import type { MantineTheme } from '../theme';
import type { CSSObject } from './types';
export interface UseStylesOptions<Key extends string> {
    classNames?: Partial<Record<Key, string>>;
    styles?: Partial<Record<Key, CSSObject>> | ((theme: MantineTheme, params: any) => Partial<Record<Key, CSSObject>>);
    name: string | string[];
    unstyled?: boolean;
}
export declare function createStyles<Key extends string = string, Params = void, Input extends Record<Key, CSSObject> = Record<Key, CSSObject>>(input: ((theme: MantineTheme, params: Params, createRef: (refName: string) => string) => Input) | Input): (params: Params, options?: UseStylesOptions<Key>) => {
    classes: { [key in keyof Input]: string; };
    cx: (...args: any) => string;
    theme: MantineTheme;
};
//# sourceMappingURL=create-styles.d.ts.map